Subject: Re: The git spring cleanup challenge

From: Đoàn Trần Công Danh <[email-masked]>
Date: Tue, 1 Jun 2021 19:28:30 +0700

On 2021-06-01 07:21:57-0500, Felipe Contreras <[email-masked]> wrote:
> Đoàn Trần Công Danh wrote:
> > On 2021-06-01 05:48:41-0500, Felipe Contreras <[email-masked]> wrote:
> > > Đoàn Trần Công Danh wrote:
> > > > Something is essential when working on constantly integration tree,
> > > > I don't want to make my life hard:
> > > > 
> > > > * rerere.enabled = true
> > > > * rerere.autoupdate = true
> > > 
> > > If the defaults make your life hard, then shouldn't we change the
> > > defaults?
> > > 
> > > For starters, which is the command you use? `git merge`? If so, maybe
> > > `git merge` should have a --rerere option to enable rerere. There are
> > > some --rerere-autoupdate, but no --rerere.
> > 
> > I think both pull, merge, rebase, cherry-pick, revert, checkout,
> > switch, apply, am will be affected by rerere.
> 
> Yes, I know, but I am talking about you personally. Where do you
> absolutely need --rerere?

I need rerere in both of merge, rebase, cherry-pick, revert, switch, am
Don't ask me why, I use all of them in a daily basis. And rerere saves
me a lot of trouble.

I don't use git-pull nowaday. But, should I use git-pull,
I'll need rerere there, too (it's a fetch followed by merge/rebase,
anyway).

-- Danh

> > > But fine, this is an exception too. The location of programs is not
> > > something that can be changed by default.
> > > 
> > > > And I would like to try new shiny features:
> > > > 
> > > > * feature.experimental = true
> > > 
> > > Interesting. I didn't know that existed, and I advocated for a
> > > similar configuration: core.mode [2].
> > > 
> > > But if most newcomers can live without it, I'm sure you can too for a
> > > bit.
> > 
> > The point of trying new shiny features is dogfooding ourselves and
> > report bugs early, if any.
> 
> Yes, and more developers should turn this flag on, but it's not
> *essential*, so you can live one month with it off. Either way I don't
> think it matters for the purpose of this experiment if you have it or
> not.
> 
> > > > >   3. Every day you can add 1 additional configuration (and update it the
> > > > >      next day).
> > > > >   4. The moment you add a 4th configuration you lose.
> > > > 
> > > > So, my baseline already requires 8 key-value pairs (ignoring alias and
> > > > pull.rebase). I'm lost already.
> > > 
> > > With the exceptions I think you only need these:
> > > 
> > >  * rerere.enabled = true
> > >  * rerere.autoupdate = true
> > 
> > OK, let's start there.
> 
> Excellent.
> 
> -- 
> Felipe Contreras

-- 
Danh